Skip to main content
GET
Get user sessions

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.

Path Parameters

userId
string<uuid>
required

User ID to retrieve sessions for

Query Parameters

applicationId
string<uuid>

Optional application ID to scope sessions to a specific application

startedAfter
string<date-time>

Optional lower bound (inclusive) for session startedAtTime (ISO 8601 date-time).

startedBefore
string<date-time>

Optional upper bound (inclusive) for session startedAtTime (ISO 8601 date-time).

isProctored
boolean

Optional flag to filter sessions by proctored status

webcamEnabled
boolean

Optional flag to filter sessions by webcam enabled status

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: x >= 0
insightGroups
string

Comma-separated list of stable Insight Group slugs to filter by. Display names are served by GET /insights/1.0/insight-groups. Takes precedence over category and default, but is overridden by type (or insightTypes on session endpoints). On endpoints that return insights, selects matching insights. On endpoints that return sessions, a session is returned only if it carries at least one caller-visible insight of a member type, and the session's metrics scope to the filter.

Example:

"StayFocused,DistractionFreeSpace"

category
string

Comma-separated list of categories to filter by. Takes precedence over the default but is overridden by type and insightGroups.

Example:

"AcademicIntegrity,Observability,OnlineEnvironment,PhysicalEnvironment"

Response

Successful response with sessions

Paginated list of sessions

sessions
object[]
required

Array of session objects

offset
integer
required

Number of items skipped in the result set

limit
integer
required

Maximum number of items returned

total
integer
required

Total number of items available